from django.shortcuts import render
from .models import *
from django.db.models.signals import post_save
from django.dispatch import receiver
from infopanel import mqtt
from django.core.signals import request_finished


def display_info(request):


    tempValue = mqtt.temperatura
    humValue = mqtt.vlaznost

    context = {'temperatura': tempValue , 'vlaznost': humValue}
    
    return render(request, "infopanel/index.html", context)


@receiver(post_save, sender=Status)
def refresh_data(sender, instance, **kwargs):
    temperatura = list(Status.objects.values_list('vrijednost', flat=True))[0]
    vlaznost = list(Status.objects.values_list('vrijednost', flat=True))[1]
    mqtt.client.subscribe("encyclopedia/temperature", payload=str(temperatura), qos=2)
    mqtt.client.subscribe("encyclopedia/vlaznost", payload=str(vlaznost), qos=2)
    
    

    

