import paho.mqtt.client as paho
from paho import mqtt


def on_connect(client, userdata, flags, rc, properties=None):
    
    print("CONNACK received with code %s." % rc)

def on_publish(client, userdata, mid, properties=None):
    print("mid: " + str(mid))

def on_subscribe(client, userdata, mid, granted_qos, properties=None):
    print("Subscribed: " + str(mid) + " " + str(granted_qos))

def on_message(client, userdata, msg):
    
    query = msg.topic, str(msg.payload)
    print(query)
    global temperatura
    global vlaznost
    if query[0] == "encyclopedia/vlaznost":
        vlaznost = str(msg.payload).split("'")[1]
        print("Vlaznost zraka je", vlaznost)
    else:
        temperatura = str(msg.payload).split("'")[1]
        print("Temperatura zraka je", temperatura)
    


client = paho.Client(client_id="", userdata=None, protocol=paho.MQTTv5)
client.on_connect = on_connect

client.tls_set(tls_version=mqtt.client.ssl.PROTOCOL_TLS)
client.username_pw_set("Rentex", "malikostanj")
client.connect("39d4d5ac4ee740b1a9deab7d5e3aeea1.s2.eu.hivemq.cloud", 8883)

client.on_subscribe = on_subscribe
client.on_message = on_message
client.on_publish = on_publish

# subscribe to all topics of encyclopedia by using the wildcard "#"
client.subscribe("encyclopedia/temperature", qos=2)
client.subscribe("encyclopedia/vlaznost", qos=2)

# a single publish, this can also be done in loops, etc.

